PHP Xdebug 模組未經驗證 RCE (惡意利用)

critical Nessus Plugin ID 112210

概要

遠端網頁伺服器已載入受到一個遠端命令執行弱點影響的 PHP 偵錯延伸模組。

說明

遠端主機上安裝的 PHP Xdebug 模組的設定方式容易遭受攻擊,而且此模組是 2.5.5 版或更舊版本。
因此容易受到一個遠端命令執行弱點影響。未經驗證的遠端攻擊者可能會利用此問題,在遠端主機上執行任意命令。

解決方案

升級至 Xdebug 2.60 或更新版本。此外,下列行可能從 Xdebug 組態中移除:xdebug.remote_connect_back= true

另請參閱

http://www.nessus.org/u?bc8ca583

https://paper.seebug.org/397/

https://www.rapid7.com/db/modules/exploit/unix/http/xdebug_unauth_exec

Plugin 詳細資訊

嚴重性: Critical

ID: 112210

檔案名稱: xdebug_unauth_rce.nbin

版本: 1.52

類型: remote

系列: CGI abuses

已發布: 2018/8/31

已更新: 2024/7/17

支援的感應器: Nessus

風險資訊

CVSS 評分論據: Unauthenticated system-level access.

CVSS v2

風險因素: Critical

基本分數: 10

媒介: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS 評分資料來源: manual

CVSS v3

風險因素: Critical

基本分數: 9.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

弱點資訊

CPE: x-cpe:/a:xdebug:xdebug

排除在外的 KB 項目: Settings/disable_cgi_scanning

由 Nessus 利用: true

修補程式發佈日期: 2015/11/13

弱點發布日期: 2015/11/13